com.sun.messaging.jms.management.server

## Class DestinationPauseType

- java.lang.Object
- - com.sun.messaging.jms.management.server.DestinationPauseType

    public class DestinationPauseType
    extends Object

Class containing constants for destination pause type.

### Field Summary

Fields
`static String` `ALL` Pauses delivery of messages to consumers and from producers.
`static String` `CONSUMERS` Pauses delivery of messages to consumers
`static String` `PRODUCERS` Pauses delivery of messages from producers

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRODUCERS

    public static final String PRODUCERS

Pauses delivery of messages from producers

See Also:
  Constant Field Values

#### CONSUMERS

    public static final String CONSUMERS

Pauses delivery of messages to consumers

See Also:
  Constant Field Values

#### ALL

    public static final String ALL

Pauses delivery of messages to consumers and from producers.

See Also:
  Constant Field Values